
Foreman - Feature #4581

Implement available_networks API for VMware

03/06/2014 08:27 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Greg Petras   

Category: API   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In #4222 a new available_networks (clusters, storage_domains) API was added for oVirt, so it was easier to programmatically create

hosts.  This should be implemented also for VMware ESX.

Related issues:

Related to Foreman - Feature #4222: API support for looking up compute resour... Closed 01/30/2014

Related to Foreman - Bug #4408: cannot provision VM using API or UI Resolved 02/18/2014

Associated revisions

Revision e4d88172 - 03/07/2014 05:30 PM - Greg Petras

fixes #4581 Implement available_networks API for VMware

History

#1 - 03/06/2014 08:27 PM - Dominic Cleal

- Related to Feature #4222: API support for looking up compute resource networks, clusters, volumes etc added

#2 - 03/06/2014 08:27 PM - Dominic Cleal

- Related to Bug #4408: cannot provision VM using API or UI added

#3 - 03/07/2014 08:41 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.0

https://github.com/theforeman/foreman/pull/1277

#4 - 03/07/2014 09:12 AM - Dominic Cleal

- Assignee set to Greg Petras

#5 - 03/07/2014 05:08 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#6 - 03/07/2014 06:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e4d881721e1b3aa751d16bfdcc2b9e4e3132a3a3.
